---
title: WebGLRenderingContext.commit()
slug: Web/API/WebGLRenderingContext/commit
tags:
  - API
  - Experimental
  - Method
  - OffscreenCanvas
  - Reference
  - WebGL
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>WebGLRenderingContext</strong></code><strong><code>.commit()</code></strong> method pushes frames back to the original {{domxref("HTMLCanvasElement")}}, if the context is not directly fixed to a specific canvas.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void WebGLRenderingContext.commit()</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var htmlCanvas = document.createElement('canvas');
var offscreen = htmlCanvas.transferControlToOffscreen();
var gl = offscreen.getContext('webgl');

// ... some drawing using the gl context ...

// Push frames back to the original HTMLCanvasElement
gl.commit();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#offscreencontext-commit', "the commit() method of the OffscreenCanvas object's rendering context")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.commit")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this method, {{domxref("WebGLRenderingContext")}}</li>
 <li>{{domxref("OffscreenCanvas")}}</li>
 <li>{{domxref("HTMLCanvasElement.transferControlToOffscreen()")}}</li>
</ul>
